{% extends "base.html" %}
{% block content %}
<link href='https://fonts.googleapis.com/css?family=Dekko' rel='stylesheet' rel='stylesheet'>
<link href='https://fonts.googleapis.com/css?family=Alegreya Sans SC' rel='stylesheet'>
<style>
    .header{
        font-size: 50px;
        font-family:"Alegreya Sans SC";
        color: #AD5959;
    }

    .diary{
        font-size: 25px;
        font-family:"Dekko";
        color: #424242;
    }

</style>
<br>
<h3 class="header", style="text-align: center"><b>Hi everyone, welcome to my Diary!</b></h3>
<br><br>
<div class="row">
    <div class="col-md-6 col-xs-6">
        <table align="center" style="text-align: center" class="diary", cellpadding="5">
            <tr>
                <th bgcolor="#B0A59C", style="text-align: center">Date</th>
                <th bgcolor="#B0A59C", style="text-align: center">Activity</th>
            </tr>
            {% for diary_data in diary_dict %}
                <tr>
                    <td class="date", bgcolor="#DAD2CB">{{ diary_data.date }}</td>
                    <td class="activity", bgcolor="#DAD2CB">{{ diary_data.activity }}</td>
                </tr>
            {% endfor %}
        </table>
    </div>
    <div class="col-md-6 col-xs-6">
        <form method="POST" action="add_activity/">
            {% csrf_token %}
            <table cellpadding="4">
                <tr>
                    <td class="diary", bgcolor="#B0A59C", style="text-align: center">
                        Date
                    </td>
                    <td>
                        <input type="datetime-local" name="date" id="date" required="required"/>
                    </td>
                </tr>
                <tr>
                    <td class="diary", bgcolor="#B0A59C", style="text-align: center">
                        Activity
                    </td>
                    <td>
                        <input type="text" name="activity" id="activity" size="25"/>
                    </td>
                </tr>
            </table>
            <br>
            <button type="submit" class="button btn-success">Submit</button>
        </form>
    </div>
</div>
{% endblock %}
